{% extends "views/default/base.html" %}

{% load static %}

{% block title %}YUYITOS | Tipo Producto{% endblock %}
{% block css %}
        <style>
            input[type='submit'], button, [aria-label]{
              cursor: pointer;
            }
        </style>       
{% endblock css %}

{% block content %}
{% if user.is_staff or request.user.user_profile == 'operador' %}
        <div class="wrapper">
            
            <!-- Navbar -->
            {% include "views/default/header.html" %}
            <!-- /.navbar -->
            <!-- Main Sidebar Container -->
            {% include "views/default/menu.html" %}
            <!-- /.sidebar -->
            
            <div class="content-wrapper">
                <!-- Content Header (Page header) -->
                <div class="content-header">
                    <div class="container-fluid">
                        <div class="row mb-2">
                            <div class="col-sm-6">
                                <h1 class="m-0 text-dark">Tipo de Producto</h1>
                            </div><!-- /.col -->
                            <div class="col-sm-6">
                                <ol class="breadcrumb float-sm-right">
                                    <li class="breadcrumb-item"><a href="#">Productos</a></li>
                                    <li class="breadcrumb-item active">Tipo</li>
                                </ol>
                            </div><!-- /.col -->
                        </div><!-- /.row -->
                    </div><!-- /.container-fluid -->
                </div>
                <!-- /.content-header -->
                <!-- Main content -->
                <section class="content">
                    <div class="container-fluid">
                        <div class="row">
                            <div class="col-md-7 offset-md-3 mr-auto ml-auto">               
                                <!-- Default box -->
                                <div class="card card-secondary card-outline mb-4">
                                    <div class="card-header">
                                        {% if perms.almacen.add_tipo %}
                                        <a  href="{% url 'almacen:tipo_create' %}" >
                                            <button type="button" class="btn btn-success">
                                                <i class="fas fa-plus"></i>&nbsp;&nbsp;Agregar Tipo
                                            </button>
                                        </a>
                                        {% endif %} 
                                    </div>
                                    <div class="card-body">
                                        <table id="tabla" class="table table-bordered table-striped">
                                            <thead class="bg-info">
                                            <tr>
                                                <th>Tipo de Producto</th>
                                                <th>Opciones</th>
                                            </tr>
                                            </thead>
                                            
                                            
                                            {% if tipo %}
                                            <tbody>
                                                {% for m in tipo %} 
                                                <tr>
                                                    <td>{{ m.tipo_producto }}</td>                        
                                                    
                                                    <td class="project-actions text-right">
                                                        {% if perms.almacen.view_tipoproducto %}
                                                        <a class="btn btn-info btn-sm" href="{{ m.get_absolute_url }}" >
                                                            <i class="fas fa-eye"></i>
                                                        </a>
                                                        {% endif %}  
                                                        {% if perms.almacen.change_tipoproducto %}
                                                        <a class="btn btn-warning btn-sm" href="{% url 'almacen:tipo_update' m.id_tipo_producto %}">
                                                            <i class="fas fa-pencil-alt"></i>
                                                        </a>
                                                        {% endif %}  
                                                        {% if perms.almacen.delete_tipoproducto %}
                                                        <a class="btn btn-danger btn-sm" href="{% url 'almacen:tipo_delete' m.id_tipo_producto %}">
                                                            <i class="fas fa-trash"></i>
                                                        </a>
                                                        {% endif %}  
                                                    </td>
                                                </tr>
                                              {% endfor %}
                                            </tbody>
                                            {% endif %}  
                                          </table>
                                    </div>
                                    <!-- /.card-body -->
                                    <div class="card-footer">

                                    </div>
                                    <!-- /.card-footer-->
                                </div>
                                <!-- /.card -->
                            </div>
                        </div>
                    </div>
                </section>
                <!-- /.content -->
            </div>
            {% include "views/default/footer.html" %}
           
        </div>
        <!-- ./wrapper -->
        {% endif %}
        <!-- REQUIRED SCRIPTS -->
        {% endblock content %}
        {% block js %}
        <script src="{% static 'dist/js/list.js' %}"></script>
        {% if messages %}
            {% for message in messages %}
                {% if message.tags == 'success'%}
                <script type=text/javascript>
                toastr.{{ message.tags }}('{{ message }}')               
                </script>
                {% endif %}
            {% endfor %}
        {% endif %}
        {% endblock js %}